fang5566
管理员
管理员
  • UID3719
  • 注册日期2005-03-07
  • 最后登录2018-12-14
  • 发帖数18058
  • 经验4447枚
  • 威望5点
  • 贡献值4164点
  • 好评度967点
  • 社区居民
  • 最爱沙发
  • 忠实会员
  • 终身成就
阅读:1724回复:28

AMO 正在计划移除旧式扩展

楼主#
更多 发布于:2018-08-22 11:23
旧式扩展,就是指那些使用 XUL overlay,bootstrapped 和 Add-on SDK 编写的传统扩展,而非使用 Webextensions 技术写的扩展。随着最后一个支持的 Firefox ESR 52.0 版本将于 9 月 5 日到期,升级为只支持 WE 的 60.0 ESR 版本。Mozilla 宣布从 9 月 6 日开始,AMO 将不允许开发者提交旧扩展的新版本。而 10 月份的时候 AMO 将完全禁用所有的旧扩展版本。


如果扩展开发者将旧版本扩展迁移到 WE 平台并提交,那这个扩展又可以重新启用,并提供新的 WE 版本下载。


如果想用旧版本的扩展,目前就是要使用 Palemoon,它提供了一个旧扩展的安装下载地方。





https://blog.mozilla.org/addons/2018/08/21/timeline-for-disabling-legacy-firefox-add-ons/

最新喜欢:

charon0622charon... xingjzxingjz
Firefox More than meets your experience
img099
小狐狸
小狐狸
  • UID42573
  • 注册日期2013-12-01
  • 最后登录2018-08-22
  • 发帖数9
  • 经验10枚
  • 威望0点
  • 贡献值2点
  • 好评度0点
1楼#
发布于:2018-08-22 19:02
疯了
fang5566
管理员
管理员
  • UID3719
  • 注册日期2005-03-07
  • 最后登录2018-12-14
  • 发帖数18058
  • 经验4447枚
  • 威望5点
  • 贡献值4164点
  • 好评度967点
  • 社区居民
  • 最爱沙发
  • 忠实会员
  • 终身成就
2楼#
发布于:2018-08-22 19:28
img099:疯了回到原帖
以前官方就有说过要移除。
Firefox More than meets your experience
xxp2277
千年狐狸
千年狐狸
  • UID24388
  • 注册日期2008-05-31
  • 最后登录2018-11-14
  • 发帖数1473
  • 经验85枚
  • 威望0点
  • 贡献值24点
  • 好评度5点
  • 社区居民
3楼#
发布于:2018-08-22 23:20
个人影响不大,已经全部转向新扩展了。
qweszxc
非常火狐
非常火狐
  • UID39616
  • 注册日期2013-06-24
  • 最后登录2018-12-09
  • 发帖数878
  • 经验785枚
  • 威望0点
  • 贡献值872点
  • 好评度50点
  • 社区居民
  • 忠实会员
4楼#
发布于:2018-08-23 20:44
mozilla的Index of和ftp会不会也要把老火狐也给删除了?如果老火狐继续保留在那里,那配套的各种旧式扩展mozilla也务必也要给个有个各种旧式扩展保留的地方呀,否则就矛盾了,因为这些是多年火狐累积起来的历史呀,收藏保留价值极高,这可不是说删就删的,会伤不起的。mozilla可要三思啊。
Palemoon根本不是能够保留这些各种旧式扩展的地方,根本不是也无能为力而为此苍白(Pale)。
fang5566
管理员
管理员
  • UID3719
  • 注册日期2005-03-07
  • 最后登录2018-12-14
  • 发帖数18058
  • 经验4447枚
  • 威望5点
  • 贡献值4164点
  • 好评度967点
  • 社区居民
  • 最爱沙发
  • 忠实会员
  • 终身成就
5楼#
发布于:2018-08-24 02:50
qweszxc:mozilla的Index of和ftp会不会也要把老火狐也给删除了?如果老火狐继续保留在那里,那配套的各种旧式扩展mozilla也务必也要给个有个各种旧式扩展保留的地方呀,否则就矛盾了,因为这些是多年火狐累积起来的历史呀,收藏保留价值极高...回到原帖
palemoon确实提供了旧扩展的仓库,也鼓励开发者提交到那里嗲仓库。 现在看mozilla是禁用,没说全部删除掉。所以可能可以下载才到本地
Firefox More than meets your experience
aaaa007cn
千年狐狸
千年狐狸
  • UID23968
  • 注册日期2008-05-03
  • 最后登录2018-12-13
  • 发帖数1869
  • 经验1084枚
  • 威望1点
  • 贡献值220点
  • 好评度152点
6楼#
发布于:2018-08-24 20:42
fang5566:palemoon确实提供了旧扩展的仓库,也鼓励开发者提交到那里嗲仓库。 现在看mozilla是禁用,没说全部删除掉。所以可能可以下载才到本地回到原帖
可是也没实锤不删
即使不删
从 AMO 上隐藏之后也没法下载啊

目前实锤的只有提交新的 WE 版本替换旧式扩展后可以重新在 AMO 上架
所以大概旧式扩展对应的 id 是会保留下来
qweszxc
非常火狐
非常火狐
  • UID39616
  • 注册日期2013-06-24
  • 最后登录2018-12-09
  • 发帖数878
  • 经验785枚
  • 威望0点
  • 贡献值872点
  • 好评度50点
  • 社区居民
  • 忠实会员
7楼#
发布于:2018-08-24 23:42
fang5566:palemoon确实提供了旧扩展的仓库,也鼓励开发者提交到那里嗲仓库。 现在看mozilla是禁用,没说全部删除掉。所以可能可以下载才到本地回到原帖
Pale Moon的Extensions(扩展)必定数量现在有限和Firefox各种旧扩展比较的话少了很多很多,而且Pale Moon已经分离出来了不是Firefox虽然现在很像,支持越来越多的Pale Moon独家扩展,这款浏览器虽然与Mozilla Firefox和SeaMonkey等基于Gecko的浏览器非常接近,但它的工作方式基于不同的布局引擎,并提供了一组不同的功能。而且官方也介绍说,很高兴为您带来Pale Moon 28.0。这是Pale Moon发布历史上的一个新的重要里程碑。我们现在正在构建Unified XUL平台,该平台已经从Mozilla的mozilla中心分离出来,在Rust和Quantum之前继续专注于XUL界面语言和传统的浏览器扩展。自v27(AKA“Tycho”)版本以来,已有数千种内容发生了变化,这些版本不可能全部列在此处。我们继续支持NPAPI插件。
这里是有关Pale Moon 28.0扩展情况的官方说明:
由于Mozilla已经放弃了所有XUL覆盖,引导和jetpack扩展,因此需要独立努力才能保持这个生态系统的活力。
虽然我们打算保持与(未更改的)Firefox扩展程序的高兼容性,但Pale Moon(现在比以往更多)被认为是一个不同的应用程序,因此需要特定于应用程序的扩展。虽然Pale Moon 28即将发布的里程碑版本已经取消了版本范围方面的所有限制以及专门针对不专门针对Pale Moon的扩展的对jetpack的进一步限制,但我们不支持它们,并且无法保证它们能够正常工作不变。
Pale Moon项目的位置是,除非扩展名直接支持并以Pale Moon为目标,否则所有Firefox扩展都被认为是不受支持的,用户自担风险。我们将不再对他们施加任何限制,也不会进一步努力迎合他们。你看到的就是你得到的,你的里程可能会有所不同。如果以Firefox为目标的扩展程序在Pale Moon 28上无法正常工作或完全正常工作,那么它必须是必须更改的扩展才能解决这个问题。
该公告不是对目前现状的实际改变,而是对其的澄清和提醒。
另外提醒一下:Pale Moon支持的扩展技术基于XUL(覆盖,自举或使用已弃用的jetpack库),并且Pale Moon不以任何方式,形状或形式支持WebExtensions。
https://forum.palemoon.org/viewtopic.php?f=1&t=19727&sid=36c84c47eaab22f40fbd9b1ff0d45e39
这里也可找到相关的信息https://forum.palemoon.org/feed.php?f=1


所以Mozilla各种旧式扩展不能指望Pale Moon了,他们有他们自己的发展独立形式,为此我前几天还特意安装了Pale Moon 28桌面版(Win7_x86)体验了一下(后面附上方法),Pale Moon的安装与firefox完全相同,同时可以与firefox同时存在于同一电脑之中,并可以同时运行,相互不影响。我用老火狐Firefox  52.9.0esr和新火狐Firefox  60.1.0esr分别都和Pale Moon 28同时运行,相互不影响的,无需其他的设置直接安装即可,这可能会给有需要的有点启示的。Pale Moon 28(大版本号)和Firefox 28(小版本号)是不一样的。唯一感觉Pale Moon要注意的,就是NoScript "Classic" 扩展转到这个页面上
https://noscript.net/getit  ,但是安装不起来的,这个要到Firefox Addons网站Mozilla AMO上去安装版本 5.1.8.4(旧式扩展的最后1个版本),主要问题是后面谁来维护更新这个NoScript "Classic" 旧式扩展了?它可是一个标志呀,Pale Moon还是先把NoScript "Classic"旧式 扩展源代码备份一下吧。其他的如有兴趣的可自己安装体验一下。(水狐狸只有64位无法测试)。以上只是测试需要重新的多个安装,我现在正常使用只用一种新火狐Firefox  60.1.0esr电脑里也只有这一种。


附Pale Moon安装方法有需要的参考:
1)先到Pale Moon官方网下载最新版本,整个过程都是英文的。
2)Pale Moon官网下载https://addons.palemoon.org/language-packs/)简体中文语言包Chinese(Simplified),安装方法与安装扩展相同,安装完成后,先不要重启,在地址栏输入         about:config进入Pale Moon后台高级设置页面上的搜索过滤框中输入general.useragent.locale中的将"   en-US    "改换成"    zh-CN    ",重启浏览器即可转换成中文。
myhead
火狐狸
火狐狸
  • UID46565
  • 注册日期2014-07-04
  • 最后登录2018-12-10
  • 发帖数102
  • 经验86枚
  • 威望0点
  • 贡献值16点
  • 好评度8点
8楼#
发布于:2018-08-30 23:26
之前试了下把我的 52 ESR 的 profile 直接给 pale moon 用,虽然打开浏览器没问题但界面惨不忍睹……貌似有不少不兼容。

最重要的是 pale moon  完全不支持 webext ,那么像那些仅更新 webext 版本的拓展是不是走远了?像 ublock origin。
myhead
火狐狸
火狐狸
  • UID46565
  • 注册日期2014-07-04
  • 最后登录2018-12-10
  • 发帖数102
  • 经验86枚
  • 威望0点
  • 贡献值16点
  • 好评度8点
9楼#
发布于:2018-08-30 23:28
迁徙到 57+ 需要成本,没想到迁徙到 pale moon 也需要成本啊……
不过相对 57+ 有的需求从根本上就无法满足的情况来说,我还是走 pale moon 这条路要可行些……
fang5566
管理员
管理员
  • UID3719
  • 注册日期2005-03-07
  • 最后登录2018-12-14
  • 发帖数18058
  • 经验4447枚
  • 威望5点
  • 贡献值4164点
  • 好评度967点
  • 社区居民
  • 最爱沙发
  • 忠实会员
  • 终身成就
10楼#
发布于:2018-08-31 22:45
myhead:迁徙到 57+ 需要成本,没想到迁徙到 pale moon 也需要成本啊……
不过相对 57+ 有的需求从根本上就无法满足的情况来说,我还是走 pale moon 这条路要可行些……
回到原帖
基本的成本还是要的 毕竟两个两个浏览器 配置文件夹不通用,不支持firefox同步 但旧扩展是可以安装使用的
Firefox More than meets your experience
aaaa007cn
千年狐狸
千年狐狸
  • UID23968
  • 注册日期2008-05-03
  • 最后登录2018-12-13
  • 发帖数1869
  • 经验1084枚
  • 威望1点
  • 贡献值220点
  • 好评度152点
11楼#
发布于:2018-09-01 11:47
myhead:之前试了下把我的 52 ESR 的 profile 直接给 pale moon 用,虽然打开浏览器没问题但界面惨不忍睹……貌似有不少不兼容。

最重要的是 pale moon  完全不支持 webext ,那么像那些仅更新 webext 版...
回到原帖
https://github.com/gorhill/uBlock/wiki/Firefox-WebExtensions#future-of-ubolegacy

Future of uBO/legacy

For all those Firefox and Firefox-based browsers based on Firefox v52 and less, uBO from https://addons.mozilla.org/ will cease to work, and they will have to install manually the xpi version from the repo here if you want to keep using the dev version of uBO.

As of writing, there is no plan to cease development of uBO/legacy. Hypothetically, this may change in some future if ever it becomes really non-trivial to keep a working legacy version.

I do expect users of legacy versions of Firefox to test and report any issues with uBO -- I can't afford the time needed to test all those versions.

这段的最后更改时间是 2017 年 10 月
myhead
火狐狸
火狐狸
  • UID46565
  • 注册日期2014-07-04
  • 最后登录2018-12-10
  • 发帖数102
  • 经验86枚
  • 威望0点
  • 贡献值16点
  • 好评度8点
12楼#
发布于:2018-09-01 18:48
aaaa007cn:https://github.com/gorhill/uBlock/wiki/Firefox-WebExtensions#future-of-ubolegacy


这段的最后更改时间是 2017 年 10 月
回到原帖
什么 ubo 的 legacy 版本居然还在更新?我 52 ESR 用的 ubo 还停留在 hybrid 之前的 1.13.8……
aaaa007cn
千年狐狸
千年狐狸
  • UID23968
  • 注册日期2008-05-03
  • 最后登录2018-12-13
  • 发帖数1869
  • 经验1084枚
  • 威望1点
  • 贡献值220点
  • 好评度152点
13楼#
发布于:2018-09-01 19:55
myhead:什么 ubo 的 legacy 版本居然还在更新?我 52 ESR 用的 ubo 还停留在 hybrid 之前的 1.13.8……回到原帖
毕竟是 based gorhill

https://github.com/gorhill/uBlock/tags
最新的是 2018-07-18 的 1.16.4.4
大道有狐
狐狸大王
狐狸大王
  • UID37815
  • 注册日期2011-11-19
  • 最后登录2018-09-01
  • 发帖数453
  • 经验266枚
  • 威望0点
  • 贡献值150点
  • 好评度32点
  • 社区居民
  • 忠实会员
14楼#
发布于:2018-09-01 20:18
周末得闲看到本帖,查看了一下几个必用的扩展,DTA、TMP、FlashGot、SuperDrag、‘黑地球AP’这几个看来是再也不会有了。

备份好老profile,把还能更新的都更新一遍,pc、usb硬盘、云端各保留一份copy。死了心,日常使用准备长期坚持在ESR38了。

新版最让人受不了的是连自家的老版本的places.sqlite都不能copy过来用。反而最新版的chrome可以带着favicon完美导入老版FF的书签。。。
至察不明 Lollipop-->Marshmallow
上一页
游客

返回顶部